{
	"compilerOptions": {
		"outDir": "dist",
		"lib": ["ES6"],
		"allowJs": true,
		"checkJs": true,
		"declaration": true,
		"downlevelIteration": true,
		"isolatedModules": true,
		"module": "ES6",
		"removeComments": true,
		"sourceMap": true,
		"target": "ES6",
		"alwaysStrict": true,
		"noImplicitAny": true,
		"strict": true,
		"strictBindCallApply": true,
		"strictFunctionTypes": true,
		"strictNullChecks": true,
		"strictPropertyInitialization": true,
		"allowSyntheticDefaultImports": true,
		"esModuleInterop": true,
		"moduleResolution": "node",
		"noFallthroughCasesInSwitch": true,
		"noImplicitReturns": true,
		"noUnusedLocals": true,
		"noUnusedParameters": true,
		"allowUnreachableCode": false,
		"allowUnusedLabels": true,
		"assumeChangesOnlyAffectDirectDependencies": true,
		"declarationDir": "typings",
		"emitDeclarationOnly": true,
		"importsNotUsedAsValues": "error",
		"skipLibCheck": true,
		"noImplicitThis": true,
		"experimentalDecorators": true,
		"forceConsistentCasingInFileNames": true,
		"resolveJsonModule": true
	},
	"include": ["src/main.ts"],
	"exclude": ["node_modules", "typings", "dist", ".husky", "./**/*.test.*", "./**/*.spec.*"]
}
